# @storefront-ui/nuxt

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![Github Actions CI][github-actions-ci-src]][github-actions-ci-href]
[![Codecov][codecov-src]][codecov-href]
[![License][license-src]][license-href]

> Storefront UI Module for Nuxt.js

[📖 **Release Notes**](./CHANGELOG.md)

## Setup

1. Add `@storefront-ui/nuxt` dependency to your project

```bash
yarn add @storefront-ui/nuxt # or npm install @storefront-ui/nuxt
```

2. Add `@storefront-ui/nuxt` to the `modules` section of `nuxt.config.js`

```js
{
  modules: [
    // Simple usage
    '@storefront-ui/nuxt',

    // With options
    ['@storefront-ui/nuxt', { /* module options */ }]
  ]
}
```

## Development

1. Clone this repository
2. Install dependencies using `yarn install` or `npm install`
3. Start development server using `npm run dev`

## License

[MIT License](./LICENSE)

Copyright (c) Vue Storefront

<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/@storefront-ui/nuxt/latest.svg
[npm-version-href]: https://npmjs.com/package/@storefront-ui/nuxt

[npm-downloads-src]: https://img.shields.io/npm/dt/@storefront-ui/nuxt.svg
[npm-downloads-href]: https://npmjs.com/package/@storefront-ui/nuxt

[github-actions-ci-src]: https://github.com//workflows/ci/badge.svg
[github-actions-ci-href]: https://github.com//actions?query=workflow%3Aci

[codecov-src]: https://img.shields.io/codecov/c/github/.svg
[codecov-href]: https://codecov.io/gh/

[license-src]: https://img.shields.io/npm/l/@storefront-ui/nuxt.svg
[license-href]: https://npmjs.com/package/@storefront-ui/nuxt
